-- Customer specific once-script UWVA#25342.
--
-- (c) 2013 SG|facilitor bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xuwva#25342.lst
SET DEFINE OFF

SET SERVEROUTPUT ON size 1000000;

-- UWVA#25342
/* Formatted on 8-1-2013 11:24:36 (QP5 v5.115.810.9015) */
DECLARE
   oracle_err_num   NUMBER;
   oracle_err_mes   VARCHAR2 (255);
   v_errormsg       VARCHAR2 (1024);
   v_errorhint      VARCHAR2 (1024);
BEGIN
   FOR rc
   IN (  SELECT      '['
                  || TO_CHAR (f.fin_factuur_key)
                  || '|'
                  || TO_CHAR (f.fin_factuur_nr)
                  || '|'
                  || TO_CHAR (f.fin_factuur_datum, 'dd-mm-yyyy hh24:mi:ss')
                  || '|'
                  || TO_CHAR (f.fin_factuur_totaal)
                  || '|'
                  || TO_CHAR (f.cnt_contract_key)
                  || '] '
                     aanduiding,
                  f.fin_factuur_key
           FROM   fin_factuur f
          WHERE       f.fin_factuur_nr = '133210'
                  AND TO_CHAR (fin_factuur_datum, 'dd-mm-yyyy') = '02-01-2013'
                  AND f.cnt_contract_key IS NOT NULL
                  AND f.fin_factuur_statuses_key = 7
       ORDER BY   1)
   LOOP
      BEGIN
         v_errorhint := 'Fout bij terugdraaien Verwerkt-status';

         UPDATE   fin_factuur f
            SET   f.fin_factuur_statuses_key = 6
          WHERE   f.fin_factuur_key = rc.fin_factuur_key;

         fac.trackaction ('FINUPD',
                          rc.fin_factuur_key,
                          NULL,
                          NULL,
                          'Verwerkt-status teruggedraaid (UWVA#25342)');

         DBMS_OUTPUT.PUT_LINE (
            rc.aanduiding || 'Verwerkt-status teruggedraaid'
         );
      EXCEPTION
         WHEN OTHERS
         THEN
            oracle_err_num := SQLCODE;
            oracle_err_mes := SUBSTR (SQLERRM, 1, 200);
            v_errorhint := v_errormsg;
            v_errormsg :=
                  rc.aanduiding
               || '(ORACLE error '
               || oracle_err_num
               || '/'
               || oracle_err_mes
               || ')';
            DBMS_OUTPUT.PUT_LINE (
               'Error: ' || v_errormsg || '; Hint: ' || v_errorhint
            );
      END;
   END LOOP;
END;
/

BEGIN adm.systrackscript('$Workfile: uwva#25342.sql $', '$Revision$', 1); END;
/
COMMIT;
SPOOL OFF
